import 'package:staff_home/src/domain/entities/shift.dart';
import 'package:staff_home/src/domain/repositories/home_repository.dart';
import 'package:staff_home/src/data/services/mock_service.dart';

class HomeRepositoryImpl implements HomeRepository {
  final MockService _service;

  HomeRepositoryImpl(this._service);

  @override
  Future<List<Shift>> getTodayShifts() => _service.getTodayShifts();

  @override
  Future<List<Shift>> getTomorrowShifts() => _service.getTomorrowShifts();

  @override
  Future<List<Shift>> getRecommendedShifts() => _service.getRecommendedShifts();
}
